ActiveAdmin.register_page "Monthly Roll Forward", as: "JamClass Monthly Roll Forward" do
  menu :parent => 'JamClass'

  content :title => "JamClass Monthly Roll Forwards" do
    para do
      table_for JamClassReport.roll_forward_bookings do

        column "Student" do |r|
          r.student.admin_name
        end
        column "Teacher" do |r|
          r.teacher.admin_name
        end
        column "Booking Active?" do |r|
          r.active ? 'Y' : 'N'
        end
        column "Booking Status" do |r|
          link_to r.status, admin_lesson_booking_path(r.id)
        end
      end
    end

  end
end


